if (KamiUI.BossUtilities == nil) then
    KamiUIBossUtilities = {};
end
KamiUI.BossUtilities = KamiUIBossUtilities;

function KamiUI.AddBoss(name, secondPot, gearSet)
	k = name;
	boss = {};
	KamiUI.BossUtilities[k] = boss;
	boss.Name = name;
	boss.SecondPot = secondPot or "nil";
	boss.GearSet = gearSet or "nil";
end
function KamiUI.PrintBoss(name)
	x = KamiUI.BossUtilities[name];
	if (x == nil) then
		return nil;
	else
		return "Name:"..x.Name.." secondPot: "..x.SecondPot.." gearSet: "..x.GearSet
	end
end
function KamiUI.GetBoss()
	boss = KamiUI.BossUtilities[UnitName("target")];
	if (boss == nil) then
		return UnitName("target"), nil, nil;
	else
		return boss.Name, boss.SecondPot, boss.GearSet;
	end
end